using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace ZXDT.CallCenter.BLL
{
    /// <summary>
    /// T_Call_PageField
    /// </summary>
    public partial class T_Call_PageField
    {
        private readonly ZXDT.CallCenter.DAL.T_Call_PageField dal = new ZXDT.CallCenter.DAL.T_Call_PageField();
        public T_Call_PageField()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_Id)
        {
            return dal.Exists(F_Id);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(ZXDT.CallCenter.Model.T_Call_PageField model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(ZXDT.CallCenter.Model.T_Call_PageField model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_Id)
        {

            return dal.Delete(F_Id);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_Idlist)
        {
            return dal.DeleteList(F_Idlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public ZXDT.CallCenter.Model.T_Call_PageField GetModel(int F_Id)
        {

            return dal.GetModel(F_Id);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Call_PageField> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Call_PageField> DataTableToList(DataTable dt)
        {
            List<ZXDT.CallCenter.Model.T_Call_PageField> modelList = new List<ZXDT.CallCenter.Model.T_Call_PageField>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                ZXDT.CallCenter.Model.T_Call_PageField model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new ZXDT.CallCenter.Model.T_Call_PageField();
                    if (dt.Rows[n]["F_Id"] != null && dt.Rows[n]["F_Id"].ToString() != "")
                    {
                        model.F_Id = int.Parse(dt.Rows[n]["F_Id"].ToString());
                    }
                    if (dt.Rows[n]["F_TaskId"] != null && dt.Rows[n]["F_TaskId"].ToString() != "")
                    {
                        model.F_TaskId = int.Parse(dt.Rows[n]["F_TaskId"].ToString());
                    }
                    if (dt.Rows[n]["F_FeildId"] != null && dt.Rows[n]["F_FeildId"].ToString() != "")
                    {
                        model.F_FeildId = int.Parse(dt.Rows[n]["F_FeildId"].ToString());
                    }
                    if (dt.Rows[n]["F_Name"] != null && dt.Rows[n]["F_Name"].ToString() != "")
                    {
                        model.F_Name = dt.Rows[n]["F_Name"].ToString();
                    }
                    if (dt.Rows[n]["F_DBFieldlName"] != null && dt.Rows[n]["F_DBFieldlName"].ToString() != "")
                    {
                        model.F_DBFieldlName = dt.Rows[n]["F_DBFieldlName"].ToString();
                    }
                    if (dt.Rows[n]["F_Sort"] != null && dt.Rows[n]["F_Sort"].ToString() != "")
                    {
                        model.F_Sort = int.Parse(dt.Rows[n]["F_Sort"].ToString());
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.vw_Call_PageField> DataTableToListView(DataTable dt)
        {
            List<ZXDT.CallCenter.Model.vw_Call_PageField> modelList = new List<ZXDT.CallCenter.Model.vw_Call_PageField>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                ZXDT.CallCenter.Model.vw_Call_PageField model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new ZXDT.CallCenter.Model.vw_Call_PageField();
                    if (dt.Rows[n]["F_Id"] != null && dt.Rows[n]["F_Id"].ToString() != "")
                    {
                        model.F_Id = int.Parse(dt.Rows[n]["F_Id"].ToString());
                    }
                    if (dt.Rows[n]["F_TaskId"] != null && dt.Rows[n]["F_TaskId"].ToString() != "")
                    {
                        model.F_TaskId = int.Parse(dt.Rows[n]["F_TaskId"].ToString());
                    }
                    if (dt.Rows[n]["F_FeildId"] != null && dt.Rows[n]["F_FeildId"].ToString() != "")
                    {
                        model.F_FeildId = int.Parse(dt.Rows[n]["F_FeildId"].ToString());
                    }
                    if (dt.Rows[n]["F_Name"] != null && dt.Rows[n]["F_Name"].ToString() != "")
                    {
                        model.F_Name = dt.Rows[n]["F_Name"].ToString();
                    }
                    if (dt.Rows[n]["F_DBFieldlName"] != null && dt.Rows[n]["F_DBFieldlName"].ToString() != "")
                    {
                        model.F_DBFieldlName = dt.Rows[n]["F_DBFieldlName"].ToString();
                    }
                    if (dt.Rows[n]["F_Sort"] != null && dt.Rows[n]["F_Sort"].ToString() != "")
                    {
                        model.F_Sort = int.Parse(dt.Rows[n]["F_Sort"].ToString());
                    }
                    if (dt.Rows[n]["F_DBTypeName"] != null && dt.Rows[n]["F_DBTypeName"].ToString() != "")
                    {
                        model.F_DBTypeName = dt.Rows[n]["F_DBTypeName"].ToString();
                    }
                    if (dt.Rows[n]["F_Length"] != null && dt.Rows[n]["F_Length"].ToString() != "")
                    {
                        model.F_Length = int.Parse(dt.Rows[n]["F_Length"].ToString());
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
    }
}